%bcond_without qt5

%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	oname	openal-soft

Name:		openal
Summary:	3D Sound Library
Version:	1.21.0
Release:	%mkrel 1
License:	LGPLv2
Group:		Sound/Utilities
URL:		http://www.openal-soft.org/
Source0:	http://www.openal-soft.org/openal-releases/%{oname}-%{version}.tar.bz2

BuildRequires:	cmake
# For the backends
BuildRequires:	pkgconfig(alsa)
BuildRequires:	portaudio-devel
BuildRequires:	pulseaudio-devel
# For the examples and config utility
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sndfile)
%if %{with qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
%endif
BuildRequires:  sdl2_sound-devel
Provides:	%{oname} = %{version}-%{release}

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.


%package -n	%{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound/Utilities

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.


%package -n	%{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.


%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake -DALSOFT_INSTALL_CONFIG=ON \
       -DSDL_SOUND_INCLUDE_DIR=%{_includir}/SDL2 \
       -DSDL_SOUND_LIBRARY=%{_libdir}/libSDL2_sound.so
%cmake_build

%install
%cmake_install

install -D -m 0644 alsoftrc.sample %{buildroot}%{_sysconfdir}/%{name}/alsoft.conf

%files
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/alffplay
%{_bindir}/alrecord
%{_bindir}/alhrtf
%{_bindir}/allatency
%{_bindir}/alloopback
%{_bindir}/almultireverb
%{_bindir}/alplay
%{_bindir}/alreverb
%{_bindir}/alstream

%if %{with qt5}
%{_bindir}/alsoft-config
%endif
%{_bindir}/altonegen
%{_bindir}/openal-info
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/alsoftrc.sample
%{_datadir}/%{name}/hrtf/*.mhr
%{_datadir}/%{name}/presets/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/AL
%{_libdir}/cmake/OpenAL/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Wed Dec 30 2020 akien <akien> 1.21.0-1.mga8
+ Revision: 1665699
- Version 1.21.0

* Thu Dec 17 2020 umeabot <umeabot> 1.20.1-5.mga8
+ Revision: 1659151
- Rebuild for new Qt5

* Fri Jul 24 2020 kekepower <kekepower> 1.20.1-4.mga8
+ Revision: 1608819
- Rebuild for new sndio

* Thu Feb 20 2020 umeabot <umeabot> 1.20.1-3.mga8
+ Revision: 1546343
- Mageia 8 Mass Rebuild
+ eatdirt <eatdirt>
- Fix for package name change on sdl2_sound

* Sat Feb 01 2020 eatdirt <eatdirt> 1.20.1-1.mga8
+ Revision: 1486384
- Upgrade to version 1.20.1, fix binaries build
+ wally <wally>
- build with new cmake macros

* Thu Dec 26 2019 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1470165
- New version 1.20.0 - remove sdl1 buildtime conflict

* Sun Mar 31 2019 umeabot <umeabot> 1.19.1-2.mga7
+ Revision: 1383607
- Qt5 Rebuild

* Sun Oct 14 2018 shlomif <shlomif> 1.19.1-1.mga7
+ Revision: 1320353
- New version 1.19.1

* Sun Sep 23 2018 umeabot <umeabot> 1.18.2-3.mga7
+ Revision: 1299974
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 daviddavid <daviddavid> 1.18.2-2.mga7
+ Revision: 1222574
- rebuild for new ffmpeg 4.0

* Tue Oct 24 2017 shlomif <shlomif> 1.18.2-1.mga7
+ Revision: 1173317
- New version 1.18.2

* Mon Jul 17 2017 akien <akien> 1.18.0-1.mga7
+ Revision: 1124243
- Version 1.18.0

* Tue May 02 2017 akien <akien> 1.17.2-4.mga6
+ Revision: 1098316
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 1.17.2-3.mga6
+ Revision: 1090843
- Add upstream patch to fix build with ffmpeg 3.0+
- Rebuild for ffmpeg 3.2.4

* Wed Mar 01 2017 ghibo <ghibo> 1.17.2-2.mga6
+ Revision: 1088245
- Rebuilt against pulseaudio 10

* Fri Apr 01 2016 shlomif <shlomif> 1.17.2-1.mga6
+ Revision: 997394
- New version + remove "Requires" of libopenal on openal.

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.17.1-1.mga6
+ Revision: 918960
- 1.17.1

* Fri Nov 14 2014 fwang <fwang> 1.16.0-4.mga5
+ Revision: 797002
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.16.0-3.mga5
+ Revision: 748076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16.0-2.mga5
+ Revision: 683183
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 1.16.0-1.mga5
+ Revision: 674142
- Version 1.16.0

* Sat Oct 19 2013 umeabot <umeabot> 1.15.1-4.mga4
+ Revision: 529663
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 1.15.1-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.15.1-3.mga3
+ Revision: 361887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.15.1-2.mga3
+ Revision: 341735
- rebuild for new ffmpeg

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.15.1-1.mga3
+ Revision: 340203
- 1.15.1

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.15-1.mga3
+ Revision: 339759
- 1.15
- remove upstreamed patch

* Sun Dec 02 2012 kamil <kamil> 1.14-2.mga3
+ Revision: 324638
- update Group: Sound/Utilities
- cleaning

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.14-1.mga3
+ Revision: 282267
- 1.14
- build with ffmpeg
- fix building with ffmpeg

* Mon Jul 04 2011 ahmad <ahmad> 1.13-1.mga2
+ Revision: 118000
- Update to 1.13

* Mon Jan 24 2011 ahmad <ahmad> 1.12.854-3.mga1
+ Revision: 37864
- imported package openal

